Subject: Re: [RFC][PATCH 0/3] net_tstamp: Add SIOCGHWTSTAMP ioctl

From: Richard Cochran <[email-masked]>
Date: Thu, 14 Nov 2013 08:41:19 +0100

On Thu, Nov 14, 2013 at 02:37:15AM +0000, Ben Hutchings wrote:
> SIOCSHWTSTAMP returns the real configuration to the application
> using it, but there is currently no way for any other
> application to find out the configuration non-destructively.

I guess that the reasoning behind the original interface is that an
application only wants to know the settings when it needs a particular
setting in order to operate correctly. This would make the query call
pointless, since the application might as well just go ahead and set
the values that it needs.

Do you have a particular use case in mind?

Thanks,
Richard